As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 1329543 - Remove Adobe Primetime supporting code
: Remove Adobe Primetime supporting code
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Audio/Video: Playback (show other bugs)
: unspecified
: Unspecified Unspecified
: P3 normal (vote)
: mozilla53
Assigned To: Chris Pearce (:cpearce)
:
: Anthony Jones (:kentuckyfriedtakahe, :k17e)
Mentors:
Depends on:
Blocks: EME 1032660 1331484
  Show dependency treegraph
 
Reported: 2017-01-08 17:25 PST by Chris Pearce (:cpearce)
Modified: 2017-01-20 13:39 PST (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 1329543 - Remove Adobe from ac_add_options --enable-eme. (59 bytes, text/x-review-board-request)
2017-01-15 17:58 PST, Chris Pearce (:cpearce)
mh+mozilla: review+
Details | Review
Bug 1329543 - Remove uses of MOZ_ADOBE_EME. (59 bytes, text/x-review-board-request)
2017-01-15 17:58 PST, Chris Pearce (:cpearce)
mh+mozilla: review+
Details | Review
Bug 1329543 - Remove use of gmp-eme-adobe* prefs from Gecko. (59 bytes, text/x-review-board-request)
2017-01-15 17:58 PST, Chris Pearce (:cpearce)
gsquelart: review+
Details | Review
Bug 1329543 - Remove IsPrimetimeKeySystem(string) from Gecko. (59 bytes, text/x-review-board-request)
2017-01-15 17:58 PST, Chris Pearce (:cpearce)
gsquelart: review+
Details | Review
Bug 1329543 - Remove use of gmp-eme-adobe prefs from browser-media.js. (59 bytes, text/x-review-board-request)
2017-01-15 17:58 PST, Chris Pearce (:cpearce)
gijskruitbosch+bugs: review+
Details | Review
Bug 1329543 - Remove use of gmp-eme-adobe* prefs from external media tests. (59 bytes, text/x-review-board-request)
2017-01-15 17:58 PST, Chris Pearce (:cpearce)
mjzffr: review+
Details | Review
Bug 1329543 - Remove Primetime from MediaKeySystemAccess. (59 bytes, text/x-review-board-request)
2017-01-15 17:58 PST, Chris Pearce (:cpearce)
gsquelart: review+
Details | Review
Bug 1329543 - Remove kEMEKeySystemPrimetime. (59 bytes, text/x-review-board-request)
2017-01-15 17:58 PST, Chris Pearce (:cpearce)
gsquelart: review+
Details | Review
Bug 1329543 - Remove Primetime SystemId from PSSH parser. (59 bytes, text/x-review-board-request)
2017-01-15 17:58 PST, Chris Pearce (:cpearce)
gsquelart: review+
Details | Review
Bug 1329543 - Remove GMPAudioDecoder and unencrypted GMP decoding. (59 bytes, text/x-review-board-request)
2017-01-15 17:58 PST, Chris Pearce (:cpearce)
gsquelart: review+
Details | Review
Bug 1329543 - Remove GMP storage migration. (59 bytes, text/x-review-board-request)
2017-01-15 17:58 PST, Chris Pearce (:cpearce)
gsquelart: review+
Details | Review
Bug 1329543 - Remove PGMPAudioDecoder. (59 bytes, text/x-review-board-request)
2017-01-15 17:58 PST, Chris Pearce (:cpearce)
gsquelart: review+
Details | Review
Bug 1329543 - Remove Adobe from GMP backup downloader. (59 bytes, text/x-review-board-request)
2017-01-15 17:58 PST, Chris Pearce (:cpearce)
mconley: review+
Details | Review
Bug 1329543 - Remove 'adobe' from GMP download code. (59 bytes, text/x-review-board-request)
2017-01-15 17:58 PST, Chris Pearce (:cpearce)
spohl.mozilla.bugs: review+
Details | Review
Bug 1329543 - Rename eme-adobe_description string to cdm_description. (59 bytes, text/x-review-board-request)
2017-01-15 17:58 PST, Chris Pearce (:cpearce)
spohl.mozilla.bugs: review+
Details | Review
Bug 1329543 - Amend comment in EMEDecoderModule to not mention Adobe. (59 bytes, text/x-review-board-request)
2017-01-15 17:58 PST, Chris Pearce (:cpearce)
gsquelart: review+
Details | Review
Bug 1329543 - Remove obsolete GMPDecryptor7 interface that was only used by Primetime. (59 bytes, text/x-review-board-request)
2017-01-15 18:15 PST, Chris Pearce (:cpearce)
gsquelart: review+
Details | Review

Description User image Chris Pearce (:cpearce) 2017-01-08 17:25:03 PST
We're going to stop shipping Adobe Primetime. So we can remove its supporting code.
Comment 1 User image kivirynta 2017-01-11 14:59:11 PST
Chris, I noticed that in bug 1329538 you said you wanted to uplift it to Firefox 52 so ESR gets it. If at all possible, please don't do the same with this bug, as you'd be removing the only way for XP Firefox users to view H.264 video without having to use Flash. ESR 52 looks to be the last supported version on XP, so it would be quite helpful for many to keep Primetime usable in it, even if no longer visible by default as per bug 1329538.
Comment 2 User image Chris Pearce (:cpearce) 2017-01-15 17:58:23 PST Comment hidden (mozreview-request)
Comment 3 User image Chris Pearce (:cpearce) 2017-01-15 17:58:23 PST Comment hidden (mozreview-request)
Comment 4 User image Chris Pearce (:cpearce) 2017-01-15 17:58:23 PST Comment hidden (mozreview-request)
Comment 5 User image Chris Pearce (:cpearce) 2017-01-15 17:58:23 PST Comment hidden (mozreview-request)
Comment 6 User image Chris Pearce (:cpearce) 2017-01-15 17:58:23 PST Comment hidden (mozreview-request)
Comment 7 User image Chris Pearce (:cpearce) 2017-01-15 17:58:23 PST Comment hidden (mozreview-request)
Comment 8 User image Chris Pearce (:cpearce) 2017-01-15 17:58:23 PST Comment hidden (mozreview-request)
Comment 9 User image Chris Pearce (:cpearce) 2017-01-15 17:58:23 PST Comment hidden (mozreview-request)
Comment 10 User image Chris Pearce (:cpearce) 2017-01-15 17:58:23 PST Comment hidden (mozreview-request)
Comment 11 User image Chris Pearce (:cpearce) 2017-01-15 17:58:23 PST Comment hidden (mozreview-request)
Comment 12 User image Chris Pearce (:cpearce) 2017-01-15 17:58:23 PST Comment hidden (mozreview-request)
Comment 13 User image Chris Pearce (:cpearce) 2017-01-15 17:58:23 PST Comment hidden (mozreview-request)
Comment 14 User image Chris Pearce (:cpearce) 2017-01-15 17:58:23 PST Comment hidden (mozreview-request)
Comment 15 User image Chris Pearce (:cpearce) 2017-01-15 17:58:23 PST Comment hidden (mozreview-request)
Comment 16 User image Chris Pearce (:cpearce) 2017-01-15 17:58:23 PST Comment hidden (mozreview-request)
Comment 17 User image Chris Pearce (:cpearce) 2017-01-15 17:58:23 PST Comment hidden (mozreview-request)
Comment 18 User image Chris Pearce (:cpearce) 2017-01-15 18:15:28 PST Comment hidden (mozreview-request)
Comment 19 User image Gerald Squelart [:gerald] 2017-01-15 18:58:45 PST
Comment on attachment 8827010 [details]
Bug 1329543 - Remove PGMPAudioDecoder.

https://reviewboard.mozilla.org/r/104820/#review105526

Review comments so far: (keeping 'r?', will review again...)

GMPLoader.cpp mentions "Adobe" in comments three times (lines 175, 176, 181), you'll probably want to update these.
In particular, at lines 180-181 you wrote "PassThroughGMPAdapter's code must remain in this file so that it's covered by Adobe's plugin-container voucher", meaning PassThroughGMPAdapter could be moved elsewhere -- but I guess it's not that important.

::: dom/media/gmp/moz.build
(Diff revision 1)
>  ]
>  
>  IPDL_SOURCES += [
>    'GMPTypes.ipdlh',
>    'PGMP.ipdl',
> -  'PGMPAudioDecoder.ipdl',

You forgot to remove the file itself!
Comment 20 User image Chris Pearce (:cpearce) 2017-01-15 19:02:14 PST Comment hidden (mozreview-request)
Comment 21 User image Chris Pearce (:cpearce) 2017-01-15 19:02:14 PST Comment hidden (mozreview-request)
Comment 22 User image Chris Pearce (:cpearce) 2017-01-15 19:02:14 PST Comment hidden (mozreview-request)
Comment 23 User image Chris Pearce (:cpearce) 2017-01-15 19:02:14 PST Comment hidden (mozreview-request)
Comment 24 User image Chris Pearce (:cpearce) 2017-01-15 19:02:14 PST Comment hidden (mozreview-request)
Comment 25 User image Chris Pearce (:cpearce) 2017-01-15 19:02:14 PST Comment hidden (mozreview-request)
Comment 26 User image Chris Pearce (:cpearce) 2017-01-15 19:04:34 PST
Comment on attachment 8827010 [details]
Bug 1329543 - Remove PGMPAudioDecoder.

https://reviewboard.mozilla.org/r/104820/#review105526

I will follow up on the referenes to "Adobe" in GMPLoader, as it's a bigger change to clean up the GMPLoader. I also need to remove the device binding code and GMP async shutdown.
Comment 27 User image Gerald Squelart [:gerald] 2017-01-15 21:24:16 PST
Comment on attachment 8827001 [details]
Bug 1329543 - Remove use of gmp-eme-adobe* prefs from Gecko.

https://reviewboard.mozilla.org/r/104802/#review105552
Comment 28 User image Gerald Squelart [:gerald] 2017-01-15 21:25:16 PST
Comment on attachment 8827002 [details]
Bug 1329543 - Remove IsPrimetimeKeySystem(string) from Gecko.

https://reviewboard.mozilla.org/r/104804/#review105554
Comment 29 User image Gerald Squelart [:gerald] 2017-01-15 21:26:14 PST
Comment on attachment 8827005 [details]
Bug 1329543 - Remove Primetime from MediaKeySystemAccess.

https://reviewboard.mozilla.org/r/104810/#review105556
Comment 30 User image Gerald Squelart [:gerald] 2017-01-15 21:54:55 PST
Comment on attachment 8827006 [details]
Bug 1329543 - Remove kEMEKeySystemPrimetime.

https://reviewboard.mozilla.org/r/104812/#review105558
Comment 31 User image Gerald Squelart [:gerald] 2017-01-15 21:56:39 PST
Comment on attachment 8827007 [details]
Bug 1329543 - Remove Primetime SystemId from PSSH parser.

https://reviewboard.mozilla.org/r/104814/#review105562
Comment 32 User image Gerald Squelart [:gerald] 2017-01-15 22:08:48 PST
Comment on attachment 8827008 [details]
Bug 1329543 - Remove GMPAudioDecoder and unencrypted GMP decoding.

https://reviewboard.mozilla.org/r/104816/#review105568

r+, but may need a follow-up:

::: dom/media/platforms/agnostic/gmp/GMPDecoderModule.cpp
(Diff revision 1)
>    }
>  
> -  if (aParams.mDiagnostics) {
> -    const Maybe<nsCString> preferredGMP = PreferredGMP(aParams.mConfig.mMimeType);
> -    if (preferredGMP.isSome()) {
> -      aParams.mDiagnostics->SetGMP(preferredGMP.value());

Decoder Doctor won't know anymore which GMP is used.
Now, this was only used in debug logs, and we only have one real GMP to worry about, so it's probably not a real loss.
But to tidy things up, I'd suggest that either we record the GMP name somewhere, or we just remove the SetGMP API -- I'd be happy to work on that in a separate bug.
Comment 33 User image Gerald Squelart [:gerald] 2017-01-15 22:09:46 PST
Comment on attachment 8827009 [details]
Bug 1329543 - Remove GMP storage migration.

https://reviewboard.mozilla.org/r/104818/#review105574
Comment 34 User image Gerald Squelart [:gerald] 2017-01-15 22:13:55 PST
Comment on attachment 8827010 [details]
Bug 1329543 - Remove PGMPAudioDecoder.

https://reviewboard.mozilla.org/r/104820/#review105576
Comment 35 User image Gerald Squelart [:gerald] 2017-01-15 22:14:42 PST
Comment on attachment 8827014 [details]
Bug 1329543 - Amend comment in EMEDecoderModule to not mention Adobe.

https://reviewboard.mozilla.org/r/104828/#review105578
Comment 36 User image Gerald Squelart [:gerald] 2017-01-15 22:17:14 PST
Comment on attachment 8827017 [details]
Bug 1329543 - Remove obsolete GMPDecryptor7 interface that was only used by Primetime.

https://reviewboard.mozilla.org/r/104838/#review105580
Comment 37 User image :Gijs 2017-01-16 03:50:17 PST
Comment on attachment 8827003 [details]
Bug 1329543 - Remove use of gmp-eme-adobe prefs from browser-media.js.

https://reviewboard.mozilla.org/r/104806/#review105654

::: browser/base/content/browser-media.js:27
(Diff revision 1)
>    isKeySystemVisible(keySystem) {
> -    if (!keySystem) {
> -      return false;
> -    }
> -    if (keySystem.startsWith("com.adobe") &&
> +    return keySystem &&
> +           keySystem == "com.widevine.alpha" &&
> +           Services.prefs.getPrefType("media.gmp-widevinecdm.visible") &&
> +           Services.prefs.getBoolPref("media.gmp-widevinecdm.visible");

This changes the behaviour for keysystems other than adobe and widevine. I'm assuming that's not desirable, or am I missing something?
Comment 38 User image Mike Conley (:mconley) - PTO on Jan 20th 2017-01-16 11:15:08 PST
Comment on attachment 8827011 [details]
Bug 1329543 - Remove Adobe from GMP backup downloader.

https://reviewboard.mozilla.org/r/104822/#review105746
Comment 39 User image Chris Pearce (:cpearce) 2017-01-16 12:55:00 PST
Comment on attachment 8827003 [details]
Bug 1329543 - Remove use of gmp-eme-adobe prefs from browser-media.js.

https://reviewboard.mozilla.org/r/104806/#review105766

::: browser/base/content/browser-media.js:27
(Diff revision 1)
>    isKeySystemVisible(keySystem) {
> -    if (!keySystem) {
> -      return false;
> -    }
> -    if (keySystem.startsWith("com.adobe") &&
> +    return keySystem &&
> +           keySystem == "com.widevine.alpha" &&
> +           Services.prefs.getPrefType("media.gmp-widevinecdm.visible") &&
> +           Services.prefs.getBoolPref("media.gmp-widevinecdm.visible");

Oh d'oh. Yup, that's a mistake on my part. Thanks!
Comment 40 User image Chris Pearce (:cpearce) 2017-01-16 13:00:16 PST
(In reply to Gerald Squelart [:gerald] from comment #32)
> Comment on attachment 8827008 [details]
> Bug 1329543 - Remove GMPAudioDecoder and unencrypted GMP decoding.
> 
> https://reviewboard.mozilla.org/r/104816/#review105568
> 
> r+, but may need a follow-up:
> 
> ::: dom/media/platforms/agnostic/gmp/GMPDecoderModule.cpp
> (Diff revision 1)
> >    }
> >  
> > -  if (aParams.mDiagnostics) {
> > -    const Maybe<nsCString> preferredGMP = PreferredGMP(aParams.mConfig.mMimeType);
> > -    if (preferredGMP.isSome()) {
> > -      aParams.mDiagnostics->SetGMP(preferredGMP.value());
> 
> Decoder Doctor won't know anymore which GMP is used.
> Now, this was only used in debug logs, and we only have one real GMP to
> worry about, so it's probably not a real loss.
> But to tidy things up, I'd suggest that either we record the GMP name
> somewhere, or we just remove the SetGMP API -- I'd be happy to work on that
> in a separate bug.

It would be great if you can take over the clean up on the decoder doctor pieces. I also noticed that browser-media.js handles "adobe-cdm-not-found" and "adobe-cdm-not-activated", if you could clean up that too, that would be much appreciated. Thanks!
Comment 41 User image Chris Pearce (:cpearce) 2017-01-16 13:47:40 PST Comment hidden (mozreview-request)
Comment 42 User image Chris Pearce (:cpearce) 2017-01-16 13:47:40 PST Comment hidden (mozreview-request)
Comment 43 User image Chris Pearce (:cpearce) 2017-01-16 13:47:40 PST Comment hidden (mozreview-request)
Comment 44 User image Chris Pearce (:cpearce) 2017-01-16 13:47:40 PST Comment hidden (mozreview-request)
Comment 45 User image Chris Pearce (:cpearce) 2017-01-16 13:47:40 PST Comment hidden (mozreview-request)
Comment 46 User image Chris Pearce (:cpearce) 2017-01-16 13:47:40 PST Comment hidden (mozreview-request)
Comment 47 User image Chris Pearce (:cpearce) 2017-01-16 13:47:40 PST Comment hidden (mozreview-request)
Comment 48 User image Chris Pearce (:cpearce) 2017-01-16 13:47:40 PST Comment hidden (mozreview-request)
Comment 49 User image Chris Pearce (:cpearce) 2017-01-16 13:47:40 PST Comment hidden (mozreview-request)
Comment 50 User image Chris Pearce (:cpearce) 2017-01-16 13:47:40 PST Comment hidden (mozreview-request)
Comment 51 User image Chris Pearce (:cpearce) 2017-01-16 13:47:40 PST Comment hidden (mozreview-request)
Comment 52 User image Chris Pearce (:cpearce) 2017-01-16 13:47:40 PST Comment hidden (mozreview-request)
Comment 53 User image Chris Pearce (:cpearce) 2017-01-16 13:47:40 PST Comment hidden (mozreview-request)
Comment 54 User image Chris Pearce (:cpearce) 2017-01-16 13:47:40 PST Comment hidden (mozreview-request)
Comment 55 User image Chris Pearce (:cpearce) 2017-01-16 13:47:40 PST Comment hidden (mozreview-request)
Comment 56 User image :Gijs 2017-01-16 13:50:35 PST
Comment on attachment 8827003 [details]
Bug 1329543 - Remove use of gmp-eme-adobe prefs from browser-media.js.

https://reviewboard.mozilla.org/r/104806/#review105768
Comment 57 User image Mike Hommey [:glandium] 2017-01-16 14:34:56 PST
Comment on attachment 8826999 [details]
Bug 1329543 - Remove Adobe from ac_add_options --enable-eme.

https://reviewboard.mozilla.org/r/104798/#review105778
Comment 58 User image Mike Hommey [:glandium] 2017-01-16 14:36:40 PST
Comment on attachment 8827000 [details]
Bug 1329543 - Remove uses of MOZ_ADOBE_EME.

https://reviewboard.mozilla.org/r/104800/#review105780
Comment 59 User image Stephen A Pohl [:spohl] 2017-01-17 09:35:25 PST
Comment on attachment 8827012 [details]
Bug 1329543 - Remove 'adobe' from GMP download code.

https://reviewboard.mozilla.org/r/104824/#review105994
Comment 60 User image Stephen A Pohl [:spohl] 2017-01-17 09:36:11 PST
Comment on attachment 8827013 [details]
Bug 1329543 - Rename eme-adobe_description string to cdm_description.

https://reviewboard.mozilla.org/r/104826/#review105996
Comment 61 User image Maja Frydrychowicz (:maja_zf) 2017-01-17 12:16:45 PST
Comment on attachment 8827004 [details]
Bug 1329543 - Remove use of gmp-eme-adobe* prefs from external media tests.

https://reviewboard.mozilla.org/r/104808/#review106038
Comment 62 User image Chris Pearce (:cpearce) 2017-01-17 16:46:37 PST Comment hidden (mozreview-request)
Comment 63 User image Chris Pearce (:cpearce) 2017-01-17 16:46:37 PST Comment hidden (mozreview-request)
Comment 64 User image Chris Pearce (:cpearce) 2017-01-17 16:46:37 PST Comment hidden (mozreview-request)
Comment 65 User image Chris Pearce (:cpearce) 2017-01-17 16:46:37 PST Comment hidden (mozreview-request)
Comment 66 User image Chris Pearce (:cpearce) 2017-01-17 16:46:37 PST Comment hidden (mozreview-request)
Comment 67 User image Chris Pearce (:cpearce) 2017-01-17 16:46:37 PST Comment hidden (mozreview-request)
Comment 68 User image Chris Pearce (:cpearce) 2017-01-17 16:46:37 PST Comment hidden (mozreview-request)
Comment 69 User image Chris Pearce (:cpearce) 2017-01-17 16:46:37 PST Comment hidden (mozreview-request)
Comment 70 User image Chris Pearce (:cpearce) 2017-01-17 16:46:37 PST Comment hidden (mozreview-request)
Comment 71 User image Chris Pearce (:cpearce) 2017-01-17 16:46:37 PST Comment hidden (mozreview-request)
Comment 72 User image Chris Pearce (:cpearce) 2017-01-17 16:46:37 PST Comment hidden (mozreview-request)
Comment 73 User image Chris Pearce (:cpearce) 2017-01-17 16:46:37 PST Comment hidden (mozreview-request)
Comment 74 User image Chris Pearce (:cpearce) 2017-01-17 16:46:37 PST Comment hidden (mozreview-request)
Comment 75 User image Chris Pearce (:cpearce) 2017-01-17 16:46:37 PST Comment hidden (mozreview-request)
Comment 76 User image Chris Pearce (:cpearce) 2017-01-17 16:46:37 PST Comment hidden (mozreview-request)
Comment 77 User image Chris Pearce (:cpearce) 2017-01-17 16:46:37 PST Comment hidden (mozreview-request)
Comment 78 User image Chris Pearce (:cpearce) 2017-01-17 16:46:37 PST Comment hidden (mozreview-request)
Comment 79 User image Pulsebot 2017-01-17 16:48:52 PST
Pushed by cpearce@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/9a193223d4aa
Remove Adobe from ac_add_options --enable-eme. r=glandium
https://hg.mozilla.org/integration/autoland/rev/8916048a9bab
Remove uses of MOZ_ADOBE_EME. r=glandium
https://hg.mozilla.org/integration/autoland/rev/d47e700dbc36
Remove use of gmp-eme-adobe* prefs from Gecko. r=gerald
https://hg.mozilla.org/integration/autoland/rev/be251a397f2d
Remove IsPrimetimeKeySystem(string) from Gecko. r=gerald
https://hg.mozilla.org/integration/autoland/rev/1d8062b87249
Remove use of gmp-eme-adobe prefs from browser-media.js. r=Gijs
https://hg.mozilla.org/integration/autoland/rev/ac1981b1296c
Remove use of gmp-eme-adobe* prefs from external media tests. r=maja_zf
https://hg.mozilla.org/integration/autoland/rev/79f11e99a81a
Remove Primetime from MediaKeySystemAccess. r=gerald
https://hg.mozilla.org/integration/autoland/rev/f4956aa25be6
Remove kEMEKeySystemPrimetime. r=gerald
https://hg.mozilla.org/integration/autoland/rev/a54e6cd31eb6
Remove Primetime SystemId from PSSH parser. r=gerald
https://hg.mozilla.org/integration/autoland/rev/182ae7543ea4
Remove GMPAudioDecoder and unencrypted GMP decoding. r=gerald
https://hg.mozilla.org/integration/autoland/rev/58e504f4afdc
Remove GMP storage migration. r=gerald
https://hg.mozilla.org/integration/autoland/rev/8b358c1267b2
Remove PGMPAudioDecoder. r=gerald
https://hg.mozilla.org/integration/autoland/rev/c4594994e460
Remove Adobe from GMP backup downloader. r=mconley
https://hg.mozilla.org/integration/autoland/rev/ee5ca22bfa36
Remove 'adobe' from GMP download code. r=spohl
https://hg.mozilla.org/integration/autoland/rev/943f58381a5f
Rename eme-adobe_description string to cdm_description. r=spohl
https://hg.mozilla.org/integration/autoland/rev/7ab977888d47
Amend comment in EMEDecoderModule to not mention Adobe. r=gerald
https://hg.mozilla.org/integration/autoland/rev/355453560577
Remove obsolete GMPDecryptor7 interface that was only used by Primetime. r=gerald
Comment 80 User image Joel Maher ( :jmaher) 2017-01-18 03:57:04 PST
for information only (no action needed), the set of patches here increased the number of constructors measured:
== Change summary for alert #4830 (as of January 18 2017 00:48 UTC) ==

Regressions:

  1%  compiler_metrics num_constructors linux32 debug     183 -> 184
  1%  compiler_metrics num_constructors linux64 debug     183 -> 184

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=4830
Comment 82 User image Chris Pearce (:cpearce) 2017-01-18 14:43:34 PST
(In reply to Joel Maher ( :jmaher) from comment #80)
> for information only (no action needed), the set of patches here increased
> the number of constructors measured:
> == Change summary for alert #4830 (as of January 18 2017 00:48 UTC) ==
> 
> Regressions:
> 
>   1%  compiler_metrics num_constructors linux32 debug     183 -> 184
>   1%  compiler_metrics num_constructors linux64 debug     183 -> 184
> 
> For up to date results, see:
> https://treeherder.mozilla.org/perf.html#/alerts?id=4830

I struggle to believe these measurements are correct; in these patches I removed an IPDL protocol, which will generate a number of classes with constructors.
Comment 83 User image :Gijs 2017-01-19 05:27:49 PST
(In reply to Chris Pearce (:cpearce) from comment #82)
> (In reply to Joel Maher ( :jmaher) from comment #80)
> > for information only (no action needed), the set of patches here increased
> > the number of constructors measured:
> > == Change summary for alert #4830 (as of January 18 2017 00:48 UTC) ==
> > 
> > Regressions:
> > 
> >   1%  compiler_metrics num_constructors linux32 debug     183 -> 184
> >   1%  compiler_metrics num_constructors linux64 debug     183 -> 184
> > 
> > For up to date results, see:
> > https://treeherder.mozilla.org/perf.html#/alerts?id=4830
> 
> I struggle to believe these measurements are correct; in these patches I
> removed an IPDL protocol, which will generate a number of classes with
> constructors.

Joel, can we investigate this (in a separate bug)? Is there maybe a symbolicated list of constructors that could be compared so we know why this 'triggered' and/or what's broken?
Comment 84 User image Joel Maher ( :jmaher) 2017-01-19 05:33:03 PST
:froydnj, can you comment as to if we should be doing anything?  If we collect these metrics we should be prepared to do something with them, so far this is causing more confusion and I really don't understand what these metrics represent.
Comment 85 User image Nathan Froyd [:froydnj] 2017-01-20 13:39:37 PST
(In reply to Joel Maher ( :jmaher) from comment #84)
> :froydnj, can you comment as to if we should be doing anything?  If we
> collect these metrics we should be prepared to do something with them, so
> far this is causing more confusion and I really don't understand what these
> metrics represent.

This is probably OK, with the same explanation as bug 1323957 comment 17.

Note You need to log in before you can comment on or make changes to this bug.